2018-02-25 03:34 EST


View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0003056FSSCPgameplaypublic2014-06-26 04:03
Reporterniffiwan 
Assigned Toniffiwan 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.7.2 RC3 
Target Version3.7.2Fixed in Version 
Summary0003056: Redalert changes cause ships to have unintended loadout in Derelict mission 5
DescriptionPer the conversation in the Derelict 3.7.0 release thread:
http://www.hard-light.net/forums/index.php?topic=85745

When playing the mission from the campaign, the player ship starts with a loadout of:

1x Subach (primary bank 1, 2 firepoints)
40x tempest (secondary bank 1, normal capacity 80)
40x tempest (secondary bank 2, normal capacity 80)
160x tempest (secondary bank 3, normal capacity 160)

The expected loadout (e.g. in 3.7.0) is:
1x Subach (primary bank 1, 2 firepoints)
40x tempest (secondary bank 1, normal capacity 80)
40x tempest (secondary bank 2, normal capacity 80)
EMPTY (secondary bank 3, normal capacity 160)


In addition, if you call in a support ship to reload, it'll add a Subach to the 2nd primary bank, as well as refilling the secondary banks. This behaviour needs to be confirmed in 3.7.0.
Steps To ReproducePlaying Derelict mission 5 from the campaign (not sure if the same issue occurs when playing from the techroom)
Additional Information(need to check the svn logs to see what may have caused the change)
TagsNo tags attached.
Attached Files

-Relationships
related to 0002907resolvedniffiwan Unexpected behaviour in Red Alert missions when secondary bank is empty 
+Relationships

-Notes

~0015840

niffiwan (developer)

I need to see what happens when I revert r9764 as these two issues look extremely similar.

~0015873

niffiwan (developer)

Last edited: 2014-06-15 01:08

View 3 revisions

My testing so far suggests this issue was introduced prior to 3.7.0

edit: it may actually predate 3.6.10? Anyway, I have a fix that only stores the ships number of banks rather than all banks where the weapon idx is not -1. I just want to do a bit more checking of why the bank idx is not set to -1 when you have a ship with a deliberately empty bank, e.g. like in Derelict where the bank is emptied and "Scramble" is used to prevent the player from changing it, of if a player deliberately leaves a bank empty (not sure why you'd want to do this...).

AND, I suspect that the current fix won't prevent support ships from re-adding banks.

~0015896

niffiwan (developer)

Well look at that; a support ship re-adding primaries is a *feature* :)

// AL 10-31-97: Add missing primary weapons to the ship. This is required since designers
// want to have ships that start with no primaries, but can get them through
// rearm/repair

So I'm going to leave that one alone - if you really don't want primaries re-added, don't add a support ship to the mission :)


Patch is here: https://github.com/niffiwan/fs2open.github.com/commit/8fccd77725834144016c7ce64429928301f77685

~0015915

Goober5000 (administrator)

So in other words, this ticket describes two issues, and the patch is for the first of those two?

~0015916

niffiwan (developer)

Yes, that's correct. The 2nd issue (support ship adding missing primaries) seems to be a deliberate retail feature. Maybe it could be tweaked to give more control to a FREDer but I think that's outside the scope of this bugfix.

~0015918

Goober5000 (administrator)

Right. Okay, the first fix looks straightforward enough, so go ahead and commit+resolve. :)

~0015919

niffiwan (developer)

Fix committed to trunk@10840.
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2014-06-10 23:42 niffiwan New Issue
2014-06-11 05:36 niffiwan Relationship added related to 0002907
2014-06-11 05:38 niffiwan Note Added: 0015840
2014-06-12 04:37 niffiwan Assigned To => niffiwan
2014-06-12 04:37 niffiwan Status new => assigned
2014-06-14 23:24 niffiwan Note Added: 0015873
2014-06-15 01:07 niffiwan Note Edited: 0015873 View Revisions
2014-06-15 01:08 niffiwan Note Edited: 0015873 View Revisions
2014-06-19 06:22 niffiwan Note Added: 0015896
2014-06-19 06:22 niffiwan Status assigned => code review
2014-06-25 21:53 Goober5000 Note Added: 0015915
2014-06-25 22:06 niffiwan Note Added: 0015916
2014-06-26 00:45 Goober5000 Note Added: 0015918
2014-06-26 04:03 niffiwan Changeset attached => fs2open trunk r10840
2014-06-26 04:03 niffiwan Note Added: 0015919
2014-06-26 04:03 niffiwan Status code review => resolved
2014-06-26 04:03 niffiwan Resolution open => fixed
+Issue History